const
  s = 'ACGT';
  maxn = 100;
  maxk = 1000000000000000000;

var
  n, i : integer;
  k : int64;
  ans : array[1..maxn] of integer;
begin
  reset(input, 'dnaand.in');
  rewrite(output, 'dnaand.out');
  writeln('Impossible');
end.